const path = require('path')
const file = path.resolve(_flitter.directories.models, 'Greeting.model.js')

exports.up = async (ctx) => {
    const flap = ctx.flap
    
    if ( await flap.exists(file) ) {
        await flap.find_replace_file(file, /}(?:\s|\n|;)*(?:module\.)?exports/, `,

    /*
     * Home to the GraphQL resolvers. Functions here can be async and should
     * be named as they appear in the root Query type in the root schema file
     * defined in "database.graphql.schema_file". These resolvers are bound to
     * the static instance of this model.
     */
    graphql: {
        async greeting(args, request, context){
            const match = await this.findOne({id: args.id})
            if (match) return match
        },
        
        async greetings(args, request, context){
            const matches = await this.find()
            return matches
        },
    },
%orig`)
    }
}

exports.down = async (ctx) => {
    const flap = ctx.flap

    if ( await flap.exists(file) ){
        await flap.find_replace_file(file, `
    /*
     * Home to the GraphQL resolvers. Functions here can be async and should
     * be named as they appear in the root Query type in the root schema file
     * defined in "database.graphql.schema_file". These resolvers are bound to
     * the static instance of this model.
     */
    graphql: {
        async greeting(args, request, context) {
            const match = await this.findOne({
                id: args.id
            })
            if (match) return match
        },

        async greetings(args, request, context) {
            const matches = await this.find()
            return matches
        },
    },`, '')
    }
}
